Bug 48299

Summary: Fix LayoutTests/canvas/philip/tests/2d.composite.uncovered.image.source-in.html
Product: WebKit Reporter: Mike Lawther <mikelawther>
Component: CanvasAssignee: Ben Wells <benwells>
Status: RESOLVED FIXED    
Severity: Normal CC: benwells, mdelaney7, mustaf.here, vswap65
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 46506    
Attachments:
Description Flags
Patch none

Description Mike Lawther 2010-10-25 22:46:28 PDT
This layout test fails. See master bug: https://bugs.webkit.org/show_bug.cgi?id=46506
Comment 1 Swapna P 2011-06-06 00:14:39 PDT
Need to draw transparency in remaining canvas area before drawImage()

This issue is getting solved by adding CanvasRenderingContext2D::shouldDisplayTransparencyElsewhere() & CanvasRenderingContext2D::displayTransparencyElsewhere()  to draw transparency for the remaining canvas area for CompositeSourceIn & CompositeSourceOut. 

As this issue is same as https://bugs.webkit.org/show_bug.cgi?id=48297, for which patch is submitted to Bugzilla. 
Once this patch is committed to main branch, this issue will be solved automatically .
Comment 2 Ben Wells 2011-11-09 20:55:26 PST
Created attachment 114427 [details]
Patch
Comment 3 Ben Wells 2011-11-09 20:59:06 PST
These tests are all passing but the expected results were just missing a carriage return.

Also covered by bugs 48296, 48298, 48301, 48300 and 48302.
Comment 4 Ben Wells 2011-11-09 21:00:01 PST
Comment on attachment 114427 [details]
Patch

Ooops, need to remove from skip files as well.
Comment 5 Ben Wells 2011-11-09 21:06:28 PST
On second thoughts will create a new bug so the change log title is nice.
Comment 6 Ben Wells 2011-11-14 17:06:05 PST
Test is passing on all ports now.